Interface AccountAgreement
- All Known Implementing Classes:
AccountAgreementJson
public interface AccountAgreement
An agreement associated with an Equinix Internet Access (EIA) v1 account at an IBX, as returned
by
GET /internetAccess/v1/accounts/{accountNumber}/agreements.
This is a read-only response view.
-
Method Summary
-
Method Details
-
getIbx
String getIbx()- Returns:
- the IBX the agreement applies to
-
getType
AgreementType getType()- Returns:
- the type of agreement (e.g.
MCA_GTC)
-
getValid
Boolean getValid()- Returns:
- whether the agreement is valid
-